package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.civilizedcity.entity.TaCheckAnswer;

import java.util.List;

/**
 * 测评作答;(ta_check_answer)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
public interface TaCheckAnswerService extends IBaseService<TaCheckAnswer> {

    int getCountByUser(String itemId, String userId);

    int countByItem(String itemId);

    List<TaCheckAnswer> getByUser(String itemId, String userId);
}